<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>SlicedSetPreallocation</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="SlicedSetPreallocation"><H1>SlicedSetPreallocation</H1></A>
sets the matrix memory preallocation for matrices computed by Sliced 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscda.h"     
#include "petscmat.h"    
PetscErrorCode PETSCDM_DLLEXPORT SlicedSetPreallocation(Sliced slice,PetscInt d_nz,const PetscInt d_nnz[],PetscInt o_nz,const PetscInt o_nnz[])
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>slice </B></TD><TD>- the Sliced object
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>d_nz </B></TD><TD>- maximum number of nonzeros in any row of diagonal block
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>d_nnz </B></TD><TD>- number of nonzeros in each row of diagonal block
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>o_nz </B></TD><TD>- maximum number of nonzeros in any row of off-diagonal block
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>o_nnz </B></TD><TD>- number of nonzeros in each row of off-diagonal block
</TD></TR>
<P>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
<A HREF="../DA/SlicedDestroy.html#SlicedDestroy">SlicedDestroy</A>(), <A HREF="../DA/SlicedCreateGlobalVector.html#SlicedCreateGlobalVector">SlicedCreateGlobalVector</A>(), <A HREF="../DA/SlicedGetGlobalIndices.html#SlicedGetGlobalIndices">SlicedGetGlobalIndices</A>(), <A HREF="../Mat/MatMPIAIJSetPreallocation.html#MatMPIAIJSetPreallocation">MatMPIAIJSetPreallocation</A>(),
<BR><A HREF="../Mat/MatMPIBAIJSetPreallocation.html#MatMPIBAIJSetPreallocation">MatMPIBAIJSetPreallocation</A>()
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/da/utils/sliced.c.html#SlicedSetPreallocation">src/dm/da/utils/sliced.c</A>
<BR><A HREF="./index.html">Index of all DA routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
